Invite a user to the company
curl --request POST \
--url https://api-fundflow.venly.io/v1/company/users/invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com",
"firstName": "John",
"lastName": "Doe"
}
'import requests
url = "https://api-fundflow.venly.io/v1/company/users/invite"
payload = {
"email": "user@example.com",
"firstName": "John",
"lastName": "Doe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'user@example.com', firstName: 'John', lastName: 'Doe'})
};
fetch('https://api-fundflow.venly.io/v1/company/users/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"enabled": true,
"invitationUrl": "<string>"
}
}{
"success": false,
"errors": [
{
"code": "validation-error",
"message": "A descriptive error message"
}
]
}{
"success": false,
"errors": [
{
"code": "UNAUTHORIZED",
"message": "Access is denied."
}
]
}{
"success": false,
"errors": [
{
"code": "FORBIDDEN",
"message": "User doesn't have proper authority to access this resource"
}
]
}{
"success": false,
"errors": [
{
"code": "NOT_FOUND"
}
]
}{
"success": false,
"errors": [
{
"code": "METHOD_NOT_SUPPORTED",
"message": "HttpMethod is not supported. Supported methods are [..]"
}
]
}{
"success": false,
"errors": [
{
"code": "INVALID_MEDIA_TYPE"
}
]
}{
"success": false,
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"message": "A description of the error (optional)"
}
]
}Users
Invite a user to the company
Send an email invitation for a new user to join your company.
POST
/
v1
/
company
/
users
/
invite
Invite a user to the company
Invites a new user by email and assigns their role. The user receives an invitation link to complete their registration.
Concept guide: Getting started with Fundflow
Requires the
COMPANY_ADMIN role (the manage:company-users scope).Authorizations
OAuth2 authentication via Venly Identity Platform
Body
application/json
Request to invite a new user to join the company with a specified role
Email address of the user to invite
Minimum string length:
1Example:
"user@example.com"
Role to assign to the user:
- COMPANY_ADMIN: Full access including user management
- COMPANY_MANAGER: Can create and manage ramp requests
- COMPANY_VIEWER: Read-only access
Available options:
COMPANY_ADMIN, COMPANY_VIEWER, COMPANY_MANAGER First name of the user
Example:
"John"
Last name of the user
Example:
"Doe"
Was this page helpful?
⌘I

